<?php
    if(!isset($_GET["id"]) || empty($_GET["id"])){
        header("Location: /admin/faq/categories/list");
        exit();
    }
    $faq_details = $faq->getCategory($_GET["id"]);
    if(empty($faq_details)){
        header("Location: /admin/faq/categories/list");
        exit();
    }

    $data = array();
    $data['title'] = "Yardım Kategorisi Güncelle | ".$config->get('site_title');
    $data['links'] = [];
    $data['styles'] = [];
    $data['header']['scripts'] = [];
    $data['version'] = $config->get('version');
    $data['csrf_token'] = $csrf_generator->create();
    $data['sidebar_menu'] = $menu->get(array('position'=>'sidebar'));
    $data['sidebar_active_menu'] = $menu->getActiveMenuItemId(trim($_SERVER['REQUEST_URI']));
    $data['footer']['scripts'] = [];
    $menu_items = $menu->get(array('position'=>'footer'));
    foreach($menu_items as $item){
        if($item['col'] == "1"){
            $data['menu']['footer']["1"][] = $item;
        }
        if($item['col'] == "2"){
            $data['menu']['footer']["2"][] = $item;
        }
        if($item['col'] == "3"){
            $data['menu']['footer']["3"][] = $item;
        }
        if($item['col'] == "4"){
            $data['menu']['footer']["4"][] = $item;
        }
    }

    $data['breadcrumbs'] = array();
    $data['breadcrumbs'][] = array(
        'text' => "Pano",
        'href' => "/admin",
        'index' => 1
    );
    $data['breadcrumbs'][] = array(
        'text' => "Yardım Kategorileri",
        'href' => "/admin/faq/categories/list",
        'index' => 2
    );
    $data['breadcrumbs'][] = array(
        'text' => "Güncelle",
        'href' => "#",
        'index' => 3
    );

    $response = array();
    if($_SERVER['REQUEST_METHOD'] == 'POST'){
        $title              = $_POST['title'];
        $status             = $_POST['status'];

        if(!file_exists($_FILES['image']['tmp_name']) || !is_uploaded_file($_FILES['image']['tmp_name'])){
            $image                = $faq_details["image"];
        } else {
            $seo_url	          = $utils->generateUrl($title);
            $image_parts          = pathinfo($_FILES["image"]["name"]);
            $image                = $seo_url."-".time().".".$image_parts['extension'];
            move_uploaded_file($_FILES['image']['tmp_name'], "../public/assets/images/faq/".$image);
        }

        $stmt = $db->query("UPDATE {$db->prefix}faq_categories SET status=:status, title=:title, `image`=:image WHERE id=:id", array(':id'=>$_GET['id'], ':title'=>$title, ':status'=>$status, ':image'=>$image));
        if($stmt->error){
            $utils->errorLog("error", "Cannot update faq category. Error: ".$stmt->error_info['message'], $session->data['user_id'], $_SERVER['REQUEST_URI']);
            $session->data['messageType'] = "error";
            $session->data['messageTitle'] = "Hata!";
            $session->data['message'] = "Bir hata oluştu ve yardım kategorisi güncellenemedi.";
            header("Refresh: 0;");
            exit();
        }else{
            $session->data['messageType'] = "success";
            $session->data['messageTitle'] = "Başarılı!";
            $session->data['message'] = "Yardım kategorisi başarıyla güncellendi.";
            header("Refresh: 0;");
            exit();
        }
	}
?>
<?php include DIR_VIEWS."parts/header.php"; ?>
        <main class="content">
            <div class="container-fluid">
                <div class="row">
                    <div class="col-12">
                        <div class="card">
                            <div class="card-header">
                                <h5 class="card-title">Yardım Kategorisi</h5>
                            </div>
                            <div class="card-body">
                                <form action="" method="post" enctype="multipart/form-data">
                                    <div class="row mb-3">
                                        <div class="col-md-2">
                                            <label for="title" class="col-form-label fw-bold">Kategori Adı</label>
                                        </div>
                                        <div class="col-md-10">
                                            <input type="text" class="form-control" name="title" id="title" placeholder="Kategori Adı" value="<?php echo $faq_details["title"]; ?>" required>
                                        </div>
                                    </div>
                                    <div class="row mb-3">
                                        <div class="col-md-2">
                                            <label for="status" class="col-form-label fw-bold">Durum</label>
                                        </div>
                                        <div class="col-md-4">
                                            <select name="status" id="status" class="form-control form-select">
                                                <option value="1" <?php echo $faq_details["status"] == "1" ? 'selected' : ''; ?>>Aktif</option>
                                                <option value="0" <?php echo $faq_details["status"] == "0" ? 'selected' : ''; ?>>Pasif</option>
                                            </select>
                                        </div>
                                    </div>
                                    <div class="row mb-3">
                                        <div class="col-md-2">
                                            <label for="image" class="col-form-label fw-bold">Görsel <a href="/public/assets/images/faq/<?php echo $faq_details["image"]; ?>" class="glightbox text-reset"><i class="bi bi-image"></i></a></label>
                                        </div>
                                        <div class="col-md-3">
                                            <input type="file" name="image" id="image">
                                        </div>
                                    </div>
                                    <div class="row mb-3">
                                        <div class="col-12 text-end">
                                            <a href="/admin/faq/categories/list" class="btn btn-secondary me-2">Geri</a>
                                            <input type="submit" name="update" class="btn btn-primary" value="Güncelle">
                                        </div>
                                    </div>
                                </form>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </main>
<?php include DIR_VIEWS."parts/footer.php"; ?>